upstream api {
    server 31.33.75.37:80;
}

server {
    listen 80;
    
    expires 0;
	add_header Cache-Control "public, must-revalidate, proxy-revalidate";

    root /var/www;

    location / {    
        try_files $uri /index.html;
    }
    
    location /api {
        proxy_pass http://api/ws;
        proxy_redirect off;
        proxy_read_timeout 3600;
         
        proxy_http_version 1.1;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "Upgrade";
        proxy_set_header Host $host;
        
        add_header Access-Control-Allow-Origin "*";
        add_header Access-Control-Allow-Methods "GET";
    }
    
}

